Page MenuHomePhabricator

Add the ckb project to Huggle
Closed, ResolvedPublic

Description

Created this ticket per this page. I want to add the Central Kurdish Wikipedia project to Huggle.

  • Insert to meta at m:Meta:Huggle/List
  • Initial configuration on https://ckb.wikipedia.org/wiki/Wikipedia:Huggle/Config.yaml
  • Create whitelist (will be done by @Petrb )
  • Translate en.wiki Wikipedia:Huggle to ckb.wikipedia.org ([[:ckb:ویکیپیدیا:ھەگڵ|check]])
  • Translate en.wiki Wikipedia:Huggle/Message to ckb.wikipedia.org
  • Translate/create/use existing if possible warning message templates like warn-N on ckb.wikipedia.org

Event Timeline

Epine created this task.Jan 22 2018, 4:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2018, 4:20 PM
Framawiki updated the task description. (Show Details)Jan 22 2018, 6:40 PM
Framawiki added a subscriber: Petrb.
Framawiki added a subscriber: Framawiki.

Hello @Epine ! I've updated the task description with the needed steeps, if you can look. Tell me if you are stick somewhere and I can help you !

Petrb updated the task description. (Show Details)Jan 22 2018, 8:11 PM
Epine updated the task description. (Show Details)Jan 23 2018, 5:33 PM
Framawiki assigned this task to Epine.Jan 24 2018, 8:04 PM
Framawiki triaged this task as Medium priority.
Framawiki updated the task description. (Show Details)

Hello @Epine, I've completed the task description : 3 pages need to be created + possibly warning templates. Can I let you do this ? Thanks !

Epine updated the task description. (Show Details)Jan 25 2018, 10:14 AM
Epine updated the task description. (Show Details)Jan 25 2018, 10:30 AM
Epine updated the task description. (Show Details)Jan 25 2018, 11:16 AM

@Framawiki hey! I've completed all the requests. Anything else I need to do?

Hello ! https://ckb.wikipedia.org/wiki/Wikipedia:Huggle/Config.yaml is the config page for Huggle : the software will read it to work propelly on your website. So you need to translate some part of this page, to adapt it to your wiki.
Perhaps @Petrb can explain this part better than me :)

Epine added a comment.EditedJan 25 2018, 7:04 PM

@Petrb please do help to determine the mandatory phrases for translation. We can focus on the filtered words later.

Petrb added a comment.Jan 27 2018, 8:29 PM

I replaced the config page that you copied from enwiki with the official default config, it's much better than the one from english wiki, which is optimized for enwiki only.

This one contains lot of comments and explanation for each configuration option. You want to focus on these:

  • revert-summaries
  • all keys that are suffixed with summary -summary
  • warning-template-tags
  • warning[1234]
  • months

@Petrb I can't properly translate it without being able to use Huggle in the project first, it makes it way too hard. Is it ready to be activated or translating it first is a must?

Petrb added a comment.Feb 16 2018, 9:13 AM

But it was already activated long time ago, did you hit "Reload" in login form?

Epine added a comment.Feb 17 2018, 9:26 AM

@Petrb I still don't see ckb in the list of the projects. Maybe you have missed something.

Petrb added a comment.Feb 28 2018, 6:35 PM

But it's there - just click the button, see screenshot: https://pasteboard.co/H9LEUti.png

Epine added a comment.Mar 9 2018, 7:58 PM

@Petrb it gives me this error: Login failed, unable to parse local confit for ckbwiki: y'all-cop: error at line 187, column 1: end of map not found.

@Framawiki all good now. Thanks.

Epine closed this task as Resolved.Mar 11 2018, 10:11 AM